Subject: Re: [syzbot] [bpf?] [net?] possible deadlock in sock_map_delete_elem

From: syzbot <[email-masked]>
Date: Thu, 18 Jul 2024 02:25:02 -0700

syzbot suspects this issue was fixed by commit:

commit 98e948fb60d41447fd8d2d0c3b8637fc6b6dc26d
Author: Jakub Sitnicki <[email-masked]>
Date:   Mon May 27 11:20:07 2024 +0000

    bpf: Allow delete from sockmap/sockhash only if update is allowed

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=15df62b5980000
start commit:   4c639b6a7b9d selftests: net: move amt to socat for better ..
git tree:       net
kernel config:  https://syzkaller.appspot.com/x/.config?x=6d14c12b661fb43
dashboard link: https://syzkaller.appspot.com/bug?extid=4ac2fe2b496abca8fa4b
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=153e3f70980000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=174ac5d4980000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: bpf: Allow delete from sockmap/sockhash only if update is allowed

For information about bisection process see: https://goo.gl/tpsmEJ#bisection